Subject: Can I limit number of rx queues for igb (and other Intel drivers)?

From: Ben Greear <[email-masked]>
Date: Fri, 18 Jun 2010 15:39:38 -0700

I'm using pktgen to send a stream of packets with varying source and destination
IP addresses.  It appears that the fancy rx logic of the NIC (I'm using igb for this test)
causes the received packets to appear on random rx queues and so be received out
of order in the network core.

I do not see the out-of-order issue when using a single source/dest IP address
for the pktgen packets.

So, is there a way to tell igb to use only a single rx queue?

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com